Package ru.bitel.bgbilling.kernel.base.phone.server.bean

# Class GeographicCodeManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.phone.server.bean.GeographicCodeManager

public class GeographicCodeManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GeographicCodeManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `delete(String code)`
  `GeographicCode`
  `getTree()`
  `GeographicCode`
  `getTree(boolean destinationTitle)`
  `org.json.JSONArray`
  `getTreeJson()`
  `void`
  `importFromFile(String data, String prfx, boolean addNew, boolean updateExist)`
  `void`
  `importFromFile(String data, String prfx, boolean addNew, boolean updateExist, boolean compact)`
  `List<GeographicCode>`
  `list()`
  `static List<String>`
  `parsePrefixes(String string, boolean withRanges)`
  `void`
  `update(GeographicCode code)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GeographicCodeManager

    public GeographicCodeManager(Connection con, int mid)

- ## Method Details

  - ### list

    public List<GeographicCode> list() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTree

    public GeographicCode getTree(boolean destinationTitle) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTreeJson

    public org.json.JSONArray getTreeJson() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTree

    public GeographicCode getTree() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### update

    public void update(GeographicCode code) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public int delete(String code) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### importFromFile

    public void importFromFile(String data, String prfx, boolean addNew, boolean updateExist) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### importFromFile

    public void importFromFile(String data, String prfx, boolean addNew, boolean updateExist, boolean compact) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### parsePrefixes

    public static List<String> parsePrefixes(String string, boolean withRanges) throws ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`